<?php
    use Vedmant\LaravelShortcodes\Facades\Shortcodes;
    use Illuminate\Support\Facades\Route;
    use Illuminate\Http\Request;
    use Illuminate\Support\Facades\DB;

    Shortcodes::add('Date', function ($atts, $content, $tag, $manager) {
        return date('F d,Y');
    });

    Shortcodes::add('Month', function ($atts, $content, $tag, $manager) {
        return date('F');
    });

    Shortcodes::add('Year', function ($atts, $content, $tag, $manager) {
        return date('Y');
    });

    Shortcodes::add('State', function ($atts, $content, $tag, $manager) {
        $routeArray = app('request')
            ->route()
            ->getAction();
        $controllerAction = class_basename($routeArray['controller']);
        [$controller, $r_name] = explode('@', $controllerAction);

        $request = request();
        $state = "";

        if ($r_name == 'lawyers_pa_or_s') {
            $state = request('slug', $request);
        }

        if ($r_name == 'lawyers_pa_and_s') {
            $state = request('p_area', $request);
            $city = request('state', $request);

            if ($state != '') {
                $state_data = DB::select('SELECT * FROM `states` WHERE `name` LIKE "%' . $state . '%"');
                if (!empty($state_data)) {
                    return $state_data[0]->name;
                } else {
                    $state_data = DB::select('SELECT * FROM `states` WHERE `name` LIKE "%' . $city . '%"');

                    return $state_data[0]->name;
                }
            }
        }

        if ($r_name == 'lawyers_pa_and_s_and_c') {
            $state = request('state', $request);
        }

        if ($state != '') {
            $state_data = DB::select('SELECT * FROM `states` WHERE `name` LIKE "%' . $state . '%"');

            if (!empty($state_data)) {
                return $state_data[0]->name;
            }
        }

        return '';
    });

    Shortcodes::add('City', function ($atts, $content, $tag, $manager) {
        $routeArray = app('request')
            ->route()
            ->getAction();
        $controllerAction = class_basename($routeArray['controller']);
        [$controller, $r_name] = explode('@', $controllerAction);

        $request = request();

        if ($r_name == 'lawyers_pa_and_s_and_c') {
            $city = request('city', $request);
        }

        if ($city != '') {
            $city_data = DB::select('SELECT * FROM `counties` WHERE `type`="City" AND `name` LIKE "%' . $city . '%" ORDER BY name ASC');

            if (!empty($city_data)) {
                return $city_data[0]->name;
            }
        }

        return '';
    });

    Shortcodes::add('County', function ($atts, $content, $tag, $manager) {
        $routeArray = app('request')
            ->route()
            ->getAction();
        $controllerAction = class_basename($routeArray['controller']);
        [$controller, $r_name] = explode('@', $controllerAction);

        $request = request();

        if ($r_name == 'lawyers_pa_and_s_and_c') {
            $city = request('city', $request);
        }

        if ($city != '') {
            $city_data = DB::select('SELECT * FROM `counties` WHERE `type`="County" AND `name` LIKE "%' . $city . '%" ORDER BY name ASC');

            if (!empty($city_data)) {
                return $city_data[0]->name;
            }
        }

        return '';
    });
?>
<?php /**PATH /opt/bitnami/apache/htdocs/resources/views/shortcode.blade.php ENDPATH**/ ?>